from browser import document
from model import Model
from view import View
from update import update
import modals


model = Model()


def main(xml_str):
    model.import_xml(xml_str)
    update.set_view(View(document.getElementById("app")))
    update.set_model(model)
    update.update_model()


main("""<entry>
      <head>
        <status>A</status>
        <headword>
          <lemma>adolescenca</lemma>
        </headword>
        <grammar>
          <category>samostalnik</category>
        </grammar>
        <comment></comment>
      </head>
      <body>
        <senseList>
        <sense>
          <labelList>
            <label>tehnika</label>
          </labelList>
          <definitionList>
            <definition type="indicator">obdobje</definition>
          </definitionList>
          <translationContainerList>
            <translationContainer cluster="1">
              <translation>preizkus</translation>
              <explanation>explainme!</explanation>
              <tagsContainer>
                <tag><type>podrocje</type><value>biologija</value></tag>
              </tagsContainer>
            </translationContainer>
            <translationContainer cluster="1">
              <translation>fsd</translation>
            </translationContainer>
            <translationContainer cluster="2">
              <translation>preskus</translation>
            </translationContainer>
            <translationContainer cluster="2">
              <translation>sdfsd</translation>
              <tagsContainer>
                <tag><type>podrocje</type><value>ozboltologija</value></tag>
              </tagsContainer>
            </translationContainer>
            <translationContainer cluster="3">
              <translation>fsd</translation>
            </translationContainer>
          </translationContainerList>
          <exampleContainerList>
            <exampleContainer>
              <example>The test was interesting.</example>
              <translationContainer>
                <translation>Preizkus je bil zanimiv.</translation>
              </translationContainer>
            </exampleContainer>
          </exampleContainerList>
        </sense>
        </senseList>
      </body>
      </entry>""")

